jQuery(document).ready(function(){

	//feedback
	$("#y42bModalGruposPadre_feedback").rup_feedback({
		gotoTop : true,
		block : false,
		closeLink : true
	});
	
	y42bPintarArbolGrupos();
	
});



//funcion que pinta el arbol
function y42bPintarArbolGrupos(){
	//alert("Pintando arbol");
	
	$("#y42bArbolGruposPadre").dynatree({
		initAjax: {
			url: "../search/tree", 
			data: {
				mode: "funnyMode" ,
				//showInactive: true, //pasaria a ser "T"
				estadoActivas: 'T',
				hideEntities: true
			}
		},
		activeVisible: true, // Make sure, active nodes are visible (expanded).
		selectMode: 1, // 1:single, 2:multi, 3:multi-hier
	    onPostInit: function(isReloading, isError) {
	    	$("#y42bArbolGruposPadre").dynatree("getRoot").visit(function(node){
				 node.expand(false);
			});
			return false;
	    },
		onActivate: function(node) {
			
	    	var y42bNodeGrupo = $("#y42bArbolGruposPadre").dynatree("getActiveNode");
	    	$("#y42bGruposGrupoPadreId").val(y42bNodeGrupo.data.key);
	    	$("#y42bGruposGrupoPadreDesc").val(htmlDecode(y42bNodeGrupo.data.title));
	       	
			$("#y42bDivGruposModalPadres").rup_dialog("close");
	    }
	});

		
//botones contraer y expandir arbol 
$("#y42bArbolGruposPadre_expandir").click(function () {
	$("#y42bArbolGruposPadre").dynatree("getRoot").visit(function(node){
		 node.expand(true);
	});
	return false;
}); 

$("#y42bArbolGruposPadre_contraer").click(function () {
	$("#y42bArbolGruposPadre").dynatree("getRoot").visit(function(node){
		 node.expand(false);
	});
	return false;
}); 
	
	
	
}